Bug 1128069 - Wrong count shown on hosts\architectures 1 should be 5
Summary: Wrong count shown on hosts\architectures 1 should be 5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1131959 (view as bug list)
Depends On:
Blocks: 1127678 1168061 1201213
TreeView+ depends on / blocked
 
Reported: 2014-08-08 08:48 UTC by Dominic Cleal
Modified: 2019-08-15 03:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1127678
: 1201213 (view as bug list)
Environment:
Last Closed: 2015-08-12 05:13:47 UTC


Attachments (Terms of Use)
architectures (83.45 KB, image/png)
2015-03-11 08:48 UTC, Tazim Kolhar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Dominic Cleal 2014-08-08 08:48:48 UTC
+++ This bug was initially created as a clone of Bug #1127678 +++

Description of problem: Following my deployment Neutron none HA + dual computes, going over to hosts\architectures  Noticed under x86_64 number of hosts is 1, where if i click on the link it shows 5 hosts, so 1->5.


Version-Release number of selected component (if applicable):
rhel-osp-installer-0.1.6-5.el6ost.noarch
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch

How reproducible:



Steps to Reproduce:
1. Deploy system, go to hosts\architectures
2.
3.

Actual results:
Under x86_64 only 1 host, should show 5.

Expected results:
Count should show 5. 


Additional info:

--- Additional comment from Tzach Shefi on 2014-08-07 12:03:32 BST ---

All these BZ look related to same host count problem
#1127618 #1127630 #1127690

--- Additional comment from Dominic Cleal on 2014-08-08 09:47:21 BST ---

Bug #1127618 is unrelated.

Comment 2 Bryan Kearney 2014-08-12 11:58:45 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 3 Bryan Kearney 2014-08-19 20:41:59 UTC
Connecting redmine issue http://projects.theforeman.org/issues/5692 from this bug

Comment 4 Dominic Cleal 2014-08-20 12:01:22 UTC
*** Bug 1131959 has been marked as a duplicate of this bug. ***

Comment 5 Bryan Kearney 2014-09-15 13:45:11 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5692 has been closed
-------------
Anonymous
Applied in changeset commit:ae4998bc96efd7c494f2d60313aca435cfc76b52.

Comment 11 Tazim Kolhar 2015-03-11 08:47:51 UTC
VERIFIED :

# rpm -qa | grep foreman
foreman-compute-1.7.2.9-1.el6_6sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.6-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.2-1.el6_6sat.noarch
foreman-debug-1.7.2.9-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.5-1.el6_6sat.noarch
foreman-selinux-1.7.2.8-1.el6_6sat.noarch
foreman-ovirt-1.7.2.9-1.el6_6sat.noarch
foreman-libvirt-1.7.2.9-1.el6_6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.9-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
rubygem-hammer_cli_foreman-0.1.4.6-1.el6_6sat.noarch
foreman-vmware-1.7.2.9-1.el6_6sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.8-1.el6_6sat.noarch
foreman-proxy-1.7.2.3-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-1.0-2.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.3-1.el6_6sat.noarch
foreman-1.7.2.9-1.el6_6sat.noarch
foreman-gce-1.7.2.9-1.el6_6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6_6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.1-1.el6_6sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el6_6sat.noarch
foreman-postgresql-1.7.2.9-1.el6_6sat.noarch
ruby193-rubygem-foreman_abrt-0.0.5-2.el6_6sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.3-1.el6_6sat.noarch

Screen shot attached

Comment 12 Tazim Kolhar 2015-03-11 08:48:52 UTC
Created attachment 1000297 [details]
architectures

Comment 13 Lukas Zapletal 2015-03-25 15:37:38 UTC
Workaround for Satellite 6.0:

# wget -O /usr/share/foreman/lib/tasks/fix_cached_counters.rake https://raw.githubusercontent.com/theforeman/foreman/develop/lib/tasks/fix_cached_counters.rake

# foreman-rake fix_cached_counters 
Correcting cached counters: (this may take a few minutes)
Architecture corrected
Environment corrected
Operatingsystem corrected
Domain corrected
Realm corrected
Puppetclass corrected
Model corrected
ConfigGroup corrected
LookupKey corrected

Comment 14 Bryan Kearney 2015-08-11 13:34:17 UTC
This bug is slated to be released with Satellite 6.1.

Comment 15 errata-xmlrpc 2015-08-12 05:13:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.